package com.yeejoin.amos.iec104.business.service.intfc;

import com.yeejoin.amos.connect.dao.entity.PointConfigVo;

import java.util.List;

public interface IPointConfigService {
//	public List<PointConfigVo> getAllPointData(String channelNo);

	public List<PointConfigVo> getAllYXPointData(String channelNo);

	public List<PointConfigVo> getAllYCPointData(String channelNo);
	
	public void save(List<PointConfigVo> list);

	public void deleteByChannelNo(String channelNo);

	public List<String> getYcPointType(String channelNo);

	public PointConfigVo findByServicesIdAndInfoAddress(String serviceId, int address);
	
	public void loadRedisData();
	
	public PointConfigVo findPointfromRedis(String key);

	public PointConfigVo findPointByPointCode(String pointCode);

	public void updatePoint(PointConfigVo vo);
}
